package model

type FileManager struct {
	FileId    int64  `xorm:"not null pk autoincr INT(11)" json:"fileId"` //文件编号
	FileName  string `xorm:"VARCHAR(200)" json:"fileName"`               //文件名
	AccessUrl string `xorm:"VARCHAR(400)" json:"url"`                    //访问路径
	Scene     string `xorm:"VARCHAR(40)" json:"scene"`                   //应用场景，0 : 其他, 1: 道路; 2: 桥梁; 3:隧道; 4: 边坡
	DataType  int    `xorm:"TINYINT index default 0" json:"dataType"`    //数据类型，1:数据集;2:病害库;3:应用;0:其他
	DatasetId int64  `xorm:"INT(11) index default 0" json:"datasetId"`   //数据集
	FileSize  int64  `xorm:"BIGINT" json:"fileSize"`                     //文件大小
	FileMd5   string `xorm:"VARCHAR(64)" json:"fileMd5"`                 //文件MD5
	Creator   int64  `xorm:"INT(11) index" json:"creator"`               //上传人
	CreateAt  int64  `xorm:"created" json:"createAt"`                    //上传时间
	UpdateAt  int64  `xorm:"updated" json:"updateAt"`                    //更新时间
}
